Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail
Class StoreClosedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.mail.MessagingException
                        |
                        +--javax.mail.StoreClosedException

All Implemented Interfaces:
  java.io.Serializable

public class StoreClosedException
extends MessagingException

This exception is thrown when a method is invoked on a Messaging object and the Store that owns that object has died due to some reason. This exception should be treated as a fatal error; in particular any messaging object belonging to that Store must be considered invalid.

The connect method may be invoked on the dead Store object to revive it.

The getMessage() method returns more detailed information about the error that caused this exception.

See Also:
  Serialized Form

Constructor Summary
`StoreClosedException(Store store)` Constructor
`StoreClosedException(Store store, java.lang.String message)` Constructor

Method Summary
`Store` | `getStore()` Returns the dead Store object

Methods inherited from class javax.mail.MessagingException
`getMessage, getNextException, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StoreClosedException

    public StoreClosedException(Store store)

  Constructor
  Parameters:
    `store` - The dead Store object

### StoreClosedException

    public StoreClosedException(Store store,
                                java.lang.String message)

  Constructor
  Parameters:
    `store` - The dead Store object
    `message` - The detailed error message

Method Detail

### getStore

    public Store getStore()

  Returns the dead Store object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD